<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="in.aeonplay">

    <uses-feature
        android:name="android.hardware.camera"
        android:required="true" />

    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission
        android:name="com.google.android.gms.permission.AD_ID"
        tools:node="remove" />

    <!-- Required only if your app needs to access images or photos
     that other apps created. -->
    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />

    <!-- Required only if your app needs to access videos
         that other apps created. -->
    <uses-permission android:name="android.permission.READ_MEDIA_VIDEO" />

    <!-- Required only if your app needs to access audio files
         that other apps created. -->
    <uses-permission android:name="android.permission.READ_MEDIA_AUDIO" />

    <!-- Branch requireds -->
    <queries>
        <intent>
            <action android:name="android.intent.action.SEND" />
            <data android:mimeType="text/plain" />
        </intent>
    </queries>

    <application
        android:name=".MyApplication"
        android:icon="@mipmap/ic_launcher"
        android:hardwareAccelerated="true"
        android:networkSecurityConfig="@xml/network_security_config"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:allowBackup="false"
        android:theme="@style/Theme.AeonPlay"
        tools:replace="android:theme"> <!--tools:replace="android:theme" For payUmoney SDK-->
        <activity
            android:name=".activity.SplashActivity"
            android:exported="true"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />

            </intent-filter>

<!--            &lt;!&ndash; Branch URI Scheme &ndash;&gt;-->
<!--            <intent-filter>-->
<!--                &lt;!&ndash; If utilizing $deeplink_path please explicitly declare your hosts, or utilize a wildcard(*) &ndash;&gt;-->
<!--                <data android:scheme="aeonplay" android:host="open" />-->
<!--                <action android:name="android.intent.action.VIEW" />-->
<!--                <category android:name="android.intent.category.DEFAULT" />-->
<!--                <category android:name="android.intent.category.BROWSABLE" />-->
<!--            </intent-filter>-->

<!--            &lt;!&ndash; Branch App Links - Live App &ndash;&gt;-->
<!--            <intent-filter android:autoVerify="true">-->
<!--                <action android:name="android.intent.action.VIEW" />-->
<!--                <category android:name="android.intent.category.DEFAULT" />-->
<!--                <category android:name="android.intent.category.BROWSABLE" />-->
<!--                <data android:scheme="https" android:host="production.app.link" />-->
<!--                <data android:scheme="https" android:host="production-alternate.app.link"/>-->
<!--            </intent-filter>-->

        </activity>

        <activity
            android:name=".activity.LoginActivity"
            android:exported="true"
            android:screenOrientation="portrait">
<!--            <intent-filter>-->
<!--                <data android:scheme="@string/fb_login_protocol_scheme" />-->
<!--            </intent-filter>-->
        </activity>

        <activity
            android:name=".activity.RegisterActivity"
            android:exported="true"
            android:screenOrientation="portrait" />

        <activity
            android:name=".activity.PaymentActivity"
            android:exported="true"
            android:screenOrientation="portrait" />

        <activity
            android:name=".activity.PaymentBSNLActivity"
            android:exported="true"
            android:screenOrientation="portrait" />

        <activity
            android:name=".activity.SettingsActivity"
            android:exported="true"
            android:screenOrientation="portrait" />

        <!--        <meta-data-->
        <!--            android:name="com.razorpay.ApiKey"-->
        <!--            android:value="rzp_test_Tsr0kuv7n6ZUoK" />-->
        <meta-data
            android:name="com.razorpay.ApiKey"
            android:value="rzp_live_YQM2sHQtq7V68e" />

        <activity
            android:name="com.razorpay.CheckoutActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:theme="@style/CheckoutTheme">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />
                <data
                    android:host="rzp.io"
                    android:scheme="io.rzp" />
            </intent-filter>
        </activity>

        <activity
            android:name=".activity.QRCodeActivity"
            android:exported="true"
            android:screenOrientation="portrait" />

        <activity
            android:name=".activity.OTPActivity"
            android:exported="true"
            android:screenOrientation="portrait" />

<!--        <activity-->
<!--            android:name=".activity.PlayerActivity"-->
<!--            android:exported="true"-->
<!--            android:screenOrientation="landscape" />-->

        <activity
            android:name=".player.PlayerActivity"
            android:exported="true"
            android:screenOrientation="landscape" />

        <!-- Sample AdMob App ID: ca-app-pub-3940256099942544~3347511713 -->
        <meta-data
            android:name="com.google.android.gms.ads.APPLICATION_ID"
            android:value="@string/admob_app_id" />

        <activity
            android:name=".activity.MainActivity"
            android:exported="true"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustPan">

            <intent-filter>
                <action android:name="android.intent.action.SEARCH" />
            </intent-filter>

            <meta-data
                android:name="android.app.searchable"
                android:resource="@xml/searchable" />

        </activity>

        <service
            android:name=".comman.StartupService"
            android:enabled="true" />

        <!--For Facebook-->
        <meta-data
            android:name="com.facebook.sdk.ApplicationId"
            android:value="@string/facebook_app_id" />
        <meta-data
            android:name="com.facebook.sdk.ClientToken"
            android:value="@string/facebook_client_token" />
        <meta-data android:name="com.facebook.sdk.AutoLogAppEventsEnabled"
            android:value="true"/>
        <meta-data android:name="com.facebook.sdk.AutoInitEnabled"
            android:value="true"/>
        <meta-data android:name="com.facebook.sdk.AdvertiserIDCollectionEnabled"
            android:value="true"/>

<!--        &lt;!&ndash; Branch init &ndash;&gt;-->
<!--        <meta-data android:name="io.branch.sdk.BranchKey" android:value="key_live_pqcysiAJ2j161ghVTgV15hbiEzcYMN3S" />-->
<!--        <meta-data android:name="io.branch.sdk.BranchKey.test" android:value="key_test_pCpvzhtQ9o8XXflPKaU54aigvzi3TT0Z" />-->
<!--        <meta-data android:name="io.branch.sdk.TestMode" android:value="false" />     &lt;!&ndash; Set to true to use Branch_Test_Key (useful when simulating installs and/or switching between debug and production flavors) &ndash;&gt;-->


        <receiver
            android:name=".comman.ConnectivityReceiver"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="android.net.wifi.WIFI_STATE_CHANGED" />
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />
            </intent-filter>
        </receiver>

        <meta-data
            android:name="com.google.android.gms.cast.framework.OPTIONS_PROVIDER_CLASS_NAME"
            android:value="androidx.media3.cast.DefaultCastOptionsProvider" />


        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.provider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths" />
        </provider>

<!--        <activity-->
<!--            android:name="com.facebook.FacebookActivity"-->
<!--            android:configChanges="keyboard|keyboardHidden|screenLayout|screenSize|orientation"-->
<!--            android:label="@string/app_name" />-->
<!--        <activity-->
<!--            android:name="com.facebook.CustomTabActivity"-->
<!--            android:exported="true">-->
<!--            <intent-filter>-->
<!--                <action android:name="android.intent.action.VIEW" />-->

<!--                <category android:name="android.intent.category.DEFAULT" />-->
<!--                <category android:name="android.intent.category.BROWSABLE" />-->

<!--                <data android:scheme="@string/fb_login_protocol_scheme" />-->
<!--            </intent-filter>-->
<!--        </activity>-->

        <activity
            android:name=".activity.LoadActivity"
            android:launchMode="singleTop"
            android:windowSoftInputMode="stateAlwaysHidden|adjustPan"
            android:exported="true">

            <intent-filter android:autoVerify="true">
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="production.aeongroup.in"
                    android:scheme="https" />

                <data
                    android:host="development.aeongroup.in"
                    android:scheme="http" />
            </intent-filter>
        </activity>

        <meta-data
            android:name="com.google.firebase.ml.vision.DEPENDENCIES"
            android:value="ocr" />

<!--        <activity-->
<!--            android:name="com.theartofdev.edmodo.cropper.CropImageActivity"-->
<!--            android:theme="@style/Theme.AeonNewsAudio" /> &lt;!&ndash; optional (needed if default theme has no action bar) &ndash;&gt;-->

    </application>

</manifest>